Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

Returns

This endpoint returns a list of bottles whose UPC matches the scanned UPC. This endpoint can have three possible responses.

Parameters

upc
string
required
The UPC, or barcode, of the barcode being scanned by the user.
  curl -X POST https://api.onlydrams.app/api/v1/scan \
     -H "Content-Type: application/json" \
     -H "Authorization: Bearer $ACCESS_TOKEN" \
     -d '{"upc": "1234567890"}'
{
	"total": 1,
	"has_more": false,
	"data": [
		{
			"id": "3c6c2f08-23de-47aa-aadd-828e26edeb78",
			"name": "Canadian Club 1858 Canadian Whisky",
			"proof": 80.0,
			"price": 20.99,
			"rarity": "common",
			"variety": "canadian",
			"size": "1000",
			"image_url": "https://storage.googleapis.com/onlydrams/lxokdol7eqpt1v97cc6ck1d8t3hk",
			"juice_id": "20b892cb-027a-4fa8-915f-994c0e255cd1"
		}
	]
}